Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.quadtree
Interface Node<T>

All Known Implementing Classes:
  DBNode, MemPointNode

    interface Node<T>

TODO add documentation here

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , last edited by: $Author: mschneider $

Method Summary
`boolean` | `delete(T item, Envelope itemsEnvelope)` deletes a specific item from the tree (not the item itself will be deleted, just its reference will be.
`void` | `deleteRange(Envelope envelope)` deletes all references of items whose envelope intersects with the passed one (
`String` | `getId()`
`boolean` | `insert(T item, Envelope itemEnv)` inserts a new item into the quadtree
`List<T>` | `query(Envelope searchEnv, List<T> visitor, int level)` returns a List containing all items whose envelope intersects with the passed one
`boolean` | `update(T item, Envelope newBBox)` Updates the spatial reference of the given item.

Method Detail

### getId

    String getId()

  Returns:
    the id of the Node

### insert

    boolean insert(T item,
                   Envelope itemEnv)
                   throws Exception

  inserts a new item into the quadtree

  Parameters:
    `item` - (or it's id) which shall be inserted into the quadtree.
    `itemEnv` - the bbox of the item
  Returns:
    true if the insertion occurred false otherwise.
  Throws:
    `Exception` - if an error occurred while inserting the specified node.

### query

    List<T> query(Envelope searchEnv,
                  List<T> visitor,
                  int level)
                  throws Exception

  returns a List containing all items whose envelope intersects with the passed one

  Parameters:
    `searchEnv` -
    `visitor` -
    `level` -
  Returns:
    a List containing all items whose envelope intersects with the passed one
  Throws:
    `Exception` - if an error occurred while acquiring all nodes.

### delete

    boolean delete(T item,
                   Envelope itemsEnvelope)
                   throws Exception

  deletes a specific item from the tree (not the item itself will be deleted, just its reference will be.

  Parameters:
    `item` - (or it's ide) to be deleted
    `itemsEnvelope` - bbox of the item
  Returns:
    true if the deletion occurred false otherwise.
  Throws:
    `Exception` - if an error occurred while deleting the specified node.

### update

    boolean update(T item,
                   Envelope newBBox)

  Updates the spatial reference of the given item.

  Parameters:
    `item` - which spatial reference in the quadtree should be updated.
    `newBBox` - newBBox the new BBoundingbox of the item.
  Returns:
    true if the update occurred, false otherwise

### deleteRange

    void deleteRange(Envelope envelope)

  deletes all references of items whose envelope intersects with the passed one (

  Parameters:
    `envelope` -
  See Also:
    `)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org